<?php

require_once "../app/model/db.class.php";

if ($_POST['accion']=='mover_alumno'){

    $codigo=$_POST['codigo'];
    $curso1=$_POST['curso1'];
    $jornada1=$_POST['jornada1'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

   $detalleboletin=$obj->consulta("select * from detalleboletin where alumno='".$codigo."'");
   $n=$obj->numero_de_filas($detalleboletin);

   if ($n>0){

      $mostrar="<html><head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'></head><body><br><br><br>";

      while($row_detbol = $obj->fetch_assoc($detalleboletin)){

             $bol=$obj->consulta("select * from boletin where numero= '" .$row_detbol['boletin']. "'");
             $b=$obj->numero_de_filas($bol);

             if ($b>0){

                      $row_bol = $obj->fetch_assoc($bol);

                      $anolectivo = $row_bol['anolectivo'];
                      $asignatura =$row_bol['asignatura'];
                      $period = $row_bol['periodo'];
                      $grado = $row_bol['grado'];

                      $bol1=$obj->consulta("select * from boletin where asignatura= '".$row_bol['asignatura']."' and periodo= '".$row_bol['periodo']."' and jornada= '" .$jornada1. "' and grado= '" .$row_bol['grado']. "' and curso= '" .$curso1. "'");
                      $b1=$obj->numero_de_filas($bol1);

                      if ($b1>0){

                          $row_bol1 = $obj->fetch_assoc($bol1);
                          $obj->consulta("update detalleboletin set boletin='".$row_bol1['numero']."' where secuencial='".$row_detbol['secuencial']."'");

                      }else{

                          $param=$obj->consulta("select * from parametros");
                          $row_param = $obj->fetch_assoc($param);

                          $obj->consulta("insert into boletin (numero, anolectivo, asignatura, periodo, jornada, grado, curso) values ('".$row_param['noplanilla']."','".$row_param['anolectivo']."','".$asignatura."','".$period."','".$jornada1."','".$grado."','".$curso1."')");                      
                          $obj->consulta("update detalleboletin set boletin='".$row_param['noplanilla']."' where secuencial='".$row_detbol['secuencial']."'");
                          $obj->consulta("update parametros set noplanilla=(noplanilla+1)");

                      }
             }
      }

      $mostrar.="</table>";
      
      //----- Actualizar curso del Alumno --------

        $obj->consulta("update matriculas set curso='".$curso1."' where codigo='".$codigo."'");

    echo "Alumno trasladado";
    
   }else{

   echo "No existen Registros";

   }
//    echo $mostrar;

   $obj->disconnect();
}


//--------------------------------------


if ($_POST['accion']=='mover_alumno_grado'){

    $codigo=$_POST['codigo'];
    $grado1=$_POST['grado1'];
    $curso1=$_POST['curso1'];
    $jornada1=$_POST['jornada1'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

   $detalleboletin=$obj->consulta("select * from detalleboletin where alumno='".$codigo."'");
   $n=$obj->numero_de_filas($detalleboletin);

   if ($n>0){

      while($row_detbol = $obj->fetch_assoc($detalleboletin)){

             $bol=$obj->consulta("select * from boletin where numero= '" .$row_detbol['boletin']. "'");
             $b=$obj->numero_de_filas($bol);

             if ($b>0){

                      $row_bol = $obj->fetch_assoc($bol);

                      $bol1=$obj->consulta("select * from boletin where asignatura='".$row_bol['asignatura']."' and periodo='".$row_bol['periodo']."' and jornada='" .$jornada1. "' and grado='" .$grado1. "' and curso='".$curso1."'");
                      $b1=$obj->numero_de_filas($bol1);

                      if ($b1>0){

                          $row_bol1 = $obj->fetch_assoc($bol1);
                          $obj->consulta("update detalleboletin set boletin='".$row_bol1['numero']."' where secuencial='".$row_detbol['secuencial']."'");

                          /*--- Actualizar los logros de la asignatura del nuevo grado y curso ---- */

                          $obj->consulta("delete from indicadores where detalle_boletin='".$row_detbol['secuencial']."'");

                          /*--- Buscamos cantidad de Logros----- */

                           $logros=$obj->consulta("select * from logros where grado='".$grado1."' and curso='".$curso1."' and asignatura='".$row_bol['asignatura']."' and periodo='".$row_bol['periodo']."' and (codigo>=1 and codigo<=5)");
                           $total_logros=$obj->numero_de_filas($logros);

                            if ($total_logros>=1){

                                $i=1;
                                while($i<=$total_logros){
                                    $obj->consulta("insert into indicadores (detalle_boletin,numero_logro,valor_logro) values ('".$row_detbol['secuencial']."','".$i."','".$row_detbol['definitiva']."')");
                                    $i=$i+1;
                                }
                            }

                      }else{

                         /*-- Borramos los registros porque no se orienta la asignatura en nuevos grado y curso  ---*/

                           $obj->consulta("delete from indicadores where detalle_boletin='".$row_detbol['secuencial']."'");
                           $obj->consulta("delete from detalleboletin where secuencial='".$row_detbol['secuencial']."'");

                      }
             }
      }

      //----- Actualizar Grado y Curso Tabla Matriculas --------

        $obj->consulta("update matriculas set grado='".$grado1."',curso='".$curso1."' where codigo='".$codigo."'");

        echo "Alumno promovido";

   }else{

   echo "No existen Trasladado";

   }

   $obj->disconnect();
}

//--------------------------------------

if ($_POST['accion']=='promover_alumno'){

    $codigo=$_POST['codigo'];
    $grado1=$_POST['grado1'];
    $curso1=$_POST['curso1'];
    $jornada1=$_POST['jornada1'];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    /*---Insertar notas a la tabla promovidos -- */
    
    $obj->consulta("insert into promovidos ( periodo, alumno, grado, curso, asignatura, intensidad, definitiva, valor_asigna ,fecha)
                    select boletin.periodo, detalleboletin.alumno, boletin.grado, boletin.curso, boletin.asignatura, curso_asignatura_profesor.intensidad,
                    detalleboletin.definitiva, detalleboletin.valor_asigna, NOW() from (curso_asignatura_profesor inner join boletin on
                    (curso_asignatura_profesor.asignatura = boletin.asignatura) and (curso_asignatura_profesor.curso = boletin.curso) and (curso_asignatura_profesor.grado = boletin.grado))
                    inner join detalleboletin on boletin.numero = detalleboletin.boletin where boletin.periodo='1' and detalleboletin.alumno='".$codigo."'");

   $detalleboletin=$obj->consulta("select * from detalleboletin where alumno='".$codigo."'");
   $n=$obj->numero_de_filas($detalleboletin);

   if ($n>0){

      while($row_detbol = $obj->fetch_assoc($detalleboletin)){

             $bol=$obj->consulta("select * from boletin where numero= '" .$row_detbol['boletin']. "'");
             $b=$obj->numero_de_filas($bol);

             if ($b>0){

                      $row_bol = $obj->fetch_assoc($bol);

                      $bol1=$obj->consulta("select * from boletin where asignatura='".$row_bol['asignatura']."' and periodo='".$row_bol['periodo']."' and jornada='" .$jornada1. "' and grado='" .$grado1. "' and curso='".$curso1."'");
                      $b1=$obj->numero_de_filas($bol1);

                      if ($b1>0){

                          $row_bol1 = $obj->fetch_assoc($bol1);
                          $obj->consulta("update detalleboletin set boletin='".$row_bol1['numero']."' where secuencial='".$row_detbol['secuencial']."'");

                          /*--- Actualizar los logros de la asignatura del nuevo grado y curso ---- */

                          $obj->consulta("delete from indicadores where detalle_boletin='".$row_detbol['secuencial']."'");
                          
                          /*--- Buscamos cantidad de Logros----- */

                           $logros=$obj->consulta("select * from logros where grado='".$grado1."' and curso='".$curso1."' and asignatura='".$row_bol['asignatura']."' and periodo='".$row_bol['periodo']."' and (codigo>=1 and codigo<=5)");
                           $total_logros=$obj->numero_de_filas($logros);

                            if ($total_logros>=1){

                                $i=1;
                                while($i<=$total_logros){
                                    $obj->consulta("insert into indicadores (detalle_boletin,numero_logro,valor_logro) values ('".$row_detbol['secuencial']."','".$i."','".$row_detbol['definitiva']."')");
                                    $i=$i+1;
                                }
                            }

                      }else{

                         /*-- Borramos los registros porque no se orienta la asignatura en nuevos grado y curso  ---*/

                           $obj->consulta("delete from indicadores where detalle_boletin='".$row_detbol['secuencial']."'");
                           $obj->consulta("delete from detalleboletin where secuencial='".$row_detbol['secuencial']."'");

                      }
             }
      }

      //----- Actualizar Grado y Curso Tabla Matriculas --------

        $obj->consulta("update matriculas set grado='".$grado1."',curso='".$curso1."' where codigo='".$codigo."'");

        echo "Alumno promovido";

   }else{

   echo "No existen Registros";

   }

   $obj->disconnect();
}

?>
